# Uses of Class
jspecview.common.Parameters

Packages that use Parameters
Package
Description
jspecview.api
jspecview.common
jspecview.dialog
jspecview.java
jspecview.js2d

## Uses of Parameters in jspecview.api

Methods in jspecview.api that return Parameters
Modifier and Type
Method
Description
`Parameters`
AnnotationData.`getParameters()`

## Uses of Parameters in jspecview.common

Subclasses of Parameters in jspecview.common
Modifier and Type
Class
Description
`class`
`ColorParameters`
This a representation of the Display Scheme for the spectral display.
Fields in jspecview.common declared as Parameters
Modifier and Type
Field
Description
`protected Parameters`
MeasurementData.`myParams`
Methods in jspecview.common that return Parameters
Modifier and Type
Method
Description
`Parameters`
MeasurementData.`getParameters()`
`Parameters`
Parameters.`setName(String name)`
Methods in jspecview.common with parameters of type Parameters
Modifier and Type
Method
Description
`void`
PanelData.`checkIntegral(Parameters parameters, String value)`
`void`
PanelData.`getPeakListing(Parameters p, Boolean tfToggle)`
`void`
PeakData.`setPeakList(Parameters p, int precision, ScaleData view)`
`void`
IntegralData.`update(Parameters parameters)`
Constructors in jspecview.common with parameters of type Parameters
Modifier
Constructor
Description
``
`IntegralData(Spectrum spec, Parameters p)`

## Uses of Parameters in jspecview.dialog

Fields in jspecview.dialog declared as Parameters
Modifier and Type
Field
Description
`protected Parameters`
JSVDialog.`myParams`
Methods in jspecview.dialog that return Parameters
Modifier and Type
Method
Description
`Parameters`
JSVDialog.`getParameters()`

## Uses of Parameters in jspecview.java

Subclasses of Parameters in jspecview.java
Modifier and Type
Class
Description
`class`
`AwtParameters`

## Uses of Parameters in jspecview.js2d

Subclasses of Parameters in jspecview.js2d
Modifier and Type
Class
Description
`class`
`JsParameters`